Summary:  Battery/Power status monitor for WindowMaker on laptops
Name:		wmapm
Version:	3.1
Release:	7mdk
License:	GPL
Group:		Graphical desktop/WindowMaker
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
Source10:		wmapm-16x16.png
Source11:		wmapm-32x32.png
Source12:		wmapm-48x48.png
URL:		http://nis-www.lanl.gov/~mgh/
Requires:	XFree86-libs, xpm
BuildRequires:	XFree86-devel, xpm-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
WMAPM monitors the APM statistics through the APM support in
the Linux and FreeBSD Kernels.  This information, presented in
a nice visual format, can be invaluable on laptops (as I have
found in my recent/continual travels as a Field Engineer for a
small computer hardware manufacturer).
WMAPM currently provides:

        * Status of power supply (battery or AC);
        * Percentage of battery remaining (numeric and meter);
        * Battery charging status;
        * Time left to battery depletion;
        * High/Low/Critical battery status (Red/Yellow/Green);

%prep
rm -rf %buildroot

%setup -n %{name}-%{version}

%build
make -C %name COPTS="$RPM_OPT_FLAGS"

%install
[[ -d %buildroot ]] && rm -rf %buildroot

mkdir -p %buildroot{%_bindir,%_miconsdir,%_liconsdir,%_mandir/man1/}
install -m 755 wmapm/wmapm %buildroot%_bindir
install -m 644 wmapm/wmapm.1 %buildroot%_mandir/man1/

install -m 644 %SOURCE10 %buildroot%_miconsdir/%name.png
install -m 644 %SOURCE11 %buildroot%_iconsdir/%name.png
install -m 644 %SOURCE12 %buildroot%_liconsdir/%name.png

install -m 755 -d %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(%{name}):command="%_bindir/%name" icon="%name.png"\\
                 needs="X11" section="Applications/Monitoring" title="WmApm"\\
                 longtitle="Battery/Power status monitor in a small icon"
EOF

%post
%{update_menus}

%postun
%{clean_menus}


%clean
[ -z %buildroot ] || {
    rm -rf %buildroot
}

%files
%defattr (-,root,root)
%doc BUGS CHANGES COPYING HINTS INSTALL README TODO
%_bindir/*
%_liconsdir/%name.png
%_miconsdir/%name.png
%_iconsdir/%name.png
%_menudir/%name
%_mandir/man1/*


%changelog
* Tue Apr 26 2005 Lenny Cartier <lenny@mandriva.com> 3.1-7mdk
- rebuild

* Mon Feb 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.1-6mdk
- rebuild

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.1-5mdk
- rebuild

* Mon Feb 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1-4mdk
- remove stupid use of decompressing tree times the same tarball;
  just don't use tar!
- big spec clean

* Mon Feb 11 2002 HA Quc-Vit <viet@mandrakesoft.com> 3.1-3mdk
- xpm icons converted to png
- tar option "I" changed to "j"
- docs added
- prefix changed from /usr/X11R6 to /usr
- now working compile optimisations

* Fri Aug 31 2001 Etienne Faure <etienne@mandrakesoft.com> 3.1-2mdk
- rebuild

* Wed Oct 25 2000 HA Quc-Vit <viet@mandrakesoft.com> 3.1-1mdk
- Initial release.
